Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.wsrm
Class MessageNumber

    java.lang.Object
      org.apache.sandesha2.wsrm.MessageNumber

All Implemented Interfaces:
  IOMRMElement

public class MessageNumber
extends java.lang.Object
implements IOMRMElement

Represents an MessageNumber element.

Constructor Summary
`MessageNumber(java.lang.String namespaceValue)`

Method Summary
`java.lang.Object` | `fromOMElement(org.apache.axiom.om.OMElement sequenceElement)`
`long` | `getMessageNumber()`
`java.lang.String` | `getNamespaceValue()`
`boolean` | `isNamespaceSupported(java.lang.String namespaceName)`
`void` | `setMessageNumber(long messageNumber)`
`org.apache.axiom.om.OMElement` | `toOMElement(org.apache.axiom.om.OMElement element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageNumber

    public MessageNumber(java.lang.String namespaceValue)
                  throws SandeshaException

Method Detail

### getMessageNumber

    public long getMessageNumber()

### setMessageNumber

    public void setMessageNumber(long messageNumber)

### fromOMElement

    public java.lang.Object fromOMElement(org.apache.axiom.om.OMElement sequenceElement)
                                   throws org.apache.axiom.om.OMException

  Specified by:
    `fromOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`

### toOMElement

    public org.apache.axiom.om.OMElement toOMElement(org.apache.axiom.om.OMElement element)
                                              throws org.apache.axiom.om.OMException

  Specified by:
    `toOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`

### getNamespaceValue

    public java.lang.String getNamespaceValue()
                                       throws org.apache.axiom.om.OMException

  Specified by:
    `getNamespaceValue` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`

### isNamespaceSupported

    public boolean isNamespaceSupported(java.lang.String namespaceName)

  Specified by:
    `isNamespaceSupported` in interface `IOMRMElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.